variables:
    GIT_SUBMODULE_STRATEGY: recursive

image: gitlab-registry.idial.institute/panorama.systemc.group/app4mc.sim:latest

cache:
    key: ${CI_JOB_NAME}
    paths: 
        - build/

build-job:
    stage: build
    script: 
        - mkdir -p build
        - cd build
        - cmake -GNinja -DCMAKE_EXPORT_COMPILE_COMMANDS=ON ..
        - cmake --build .
    artifacts:
        paths:
            - build
       

test-job:
    stage: test
    dependencies: 
        - build-job
    script:
        - cd build
        - cmake --build . -t test

build_docker_container:latest:gitlab:
  variables:
    GIT_STRATEGY: fetch
    GIT_DEPTH: "5"
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  when: manual
  script:
    - mkdir -p /kaniko/.docker
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"}}}" > /kaniko/.docker/config.json
    - /kaniko/executor --cache=true --context . --dockerfile ./.devcontainer/GitlabCi/Dockerfile --destination $CI_REGISTRY_IMAGE:$CI_COMMIT_TAG